Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.platform.maxdb
Class MaxDbBuilder

    java.lang.Object
      org.apache.ddlutils.platform.SqlBuilder
          org.apache.ddlutils.platform.sapdb.SapDbBuilder
              org.apache.ddlutils.platform.maxdb.MaxDbBuilder

    public class MaxDbBuilder

extends SapDbBuilder

The SQL Builder for MaxDB.

Version:
  $Revision: $

Field Summary

Fields inherited from class org.apache.ddlutils.platform.SqlBuilder
`_log, SIZE_PLACEHOLDER`

Constructor Summary
`MaxDbBuilder(Platform platform)` Creates a new builder instance.

Method Summary
`protected void` | `writeExternalForeignKeyCreateStmt(Database database, Table table, ForeignKey key)` Writes a single foreign key constraint using a alter table statement.
`protected void` | `writeExternalForeignKeyDropStmt(Table table, ForeignKey foreignKey)` Generates the statement to drop a foreignkey constraint from the database using an alter table statement.
`protected void` | `writeExternalPrimaryKeysCreateStmt(Table table, Column[] primaryKeyColumns)` Writes the primary key constraints of the table as alter table statements.

Methods inherited from class org.apache.ddlutils.platform.sapdb.SapDbBuilder
`dropTable, getSelectLastIdentityValues, processChange, processChange, processChange, processChange, processChange, processTableStructureChanges, writeColumnAutoIncrementStmt`

Methods inherited from class org.apache.ddlutils.platform.SqlBuilder
`addEscapedCharSequence, alterDatabase, applyForSelectedChanges, areEqual, columnsDiffer, createExternalForeignKeys, createExternalForeignKeys, createTable, createTable, createTables, createTables, createTables, createTemporaryTable, createUniqueIdentifier, dropExternalForeignKeys, dropTable, dropTables, dropTemporaryTable, escapeStringValue, findCorrespondingForeignKey, getBareNativeType, getColumnName, getConstraintName, getDefaultValueHelper, getDeleteSql, getDelimitedIdentifier, getForeignKeyName, getIndent, getIndexName, getInsertSql, getMaxColumnNameLength, getMaxConstraintNameLength, getMaxForeignKeyNameLength, getMaxTableNameLength, getNativeDefaultValue, getNativeType, getPlatform, getPlatformInfo, getRealTargetTableFor, getSqlType, getTableName, getTemporaryTableFor, getUpdateSql, getValueAsString, getValueDateFormat, getValueLocale, getValueNumberFormat, getValueTimeFormat, getWriter, isValidDefaultValue, print, printComment, printDefaultValue, printEndOfStatement, printIdentifier, printIndent, println, println, printlnIdentifier, printStartOfEmbeddedStatement, processChange, processChange, processChange, processChange, processChange, processChange, processChange, processChange, processChanges, processTableStructureChanges, processTableStructureChanges, setIndent, setValueDateFormat, setValueLocale, setValueNumberFormat, setValueTimeFormat, setWriter, shortenName, shouldGeneratePrimaryKeys, writeCastExpression, writeColumn, writeColumnDefaultValue, writeColumnDefaultValueStmt, writeColumnNotNullableStmt, writeColumnNullableStmt, writeColumns, writeCopyDataStatement, writeEmbeddedForeignKeysStmt, writeEmbeddedIndexCreateStmt, writeEmbeddedIndicesStmt, writeEmbeddedPrimaryKeysStmt, writeExternalIndexCreateStmt, writeExternalIndexDropStmt, writeExternalIndicesCreateStmt, writeForeignReferences, writeLocalReferences, writePrimaryKeyStmt, writeTableAlterStmt, writeTableComment, writeTableCreationStmt, writeTableCreationStmtEnding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxDbBuilder

    public MaxDbBuilder(Platform platform)

  Creates a new builder instance.

  Parameters:
    `platform` - The plaftform this builder belongs to

Method Detail

### writeExternalPrimaryKeysCreateStmt

    protected void writeExternalPrimaryKeysCreateStmt(Table table,
                                                      Column[] primaryKeyColumns)
                                               throws IOException

  Writes the primary key constraints of the table as alter table statements.

  Overrides:
    `writeExternalPrimaryKeysCreateStmt` in class `SapDbBuilder`
  Parameters:
    `table` - The table
    `primaryKeyColumns` - The primary key columns
  Throws:
    `IOException`

### writeExternalForeignKeyCreateStmt

    protected void writeExternalForeignKeyCreateStmt(Database database,
                                                     Table table,
                                                     ForeignKey key)
                                              throws IOException

  Writes a single foreign key constraint using a alter table statement.

  Overrides:
    `writeExternalForeignKeyCreateStmt` in class `SapDbBuilder`
  Parameters:
    `database` - The database model
    `table` - The table
    `key` - The foreign key
  Throws:
    `IOException`

### writeExternalForeignKeyDropStmt

    protected void writeExternalForeignKeyDropStmt(Table table,
                                                   ForeignKey foreignKey)
                                            throws IOException

  Generates the statement to drop a foreignkey constraint from the database using an alter table statement.

  Overrides:
    `writeExternalForeignKeyDropStmt` in class `SapDbBuilder`
  Parameters:
    `table` - The table
    `foreignKey` - The foreign key
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.